//
// Created by bbr on 18. 04. 2022..
//

#include "dialogmanager.h"
#include "attribute_dialog.h"
#include "name_dialog.h"

namespace display {

void DialogManager::updateAttribute(domain::InstanceAttribute *attribute) {
    auto dialog = new AttributeDialog(attribute);
    dialog->exec();
}

void DialogManager::updateName(domain::ComponentInstance *instance) {
    auto dialog = new NameDialog(instance);
    dialog->exec();
}

}